Bug 1010561 - net/ipv4/tcp_input.c:2711 tcp_fastretrans_alert
net/ipv4/tcp_input.c:2711 tcp_fastretrans_alert
Status: CLOSED DUPLICATE of bug 989251
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-21 08:46 EDT by orti1980
Modified: 2013-11-02 17:06 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 14:06:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg.txt (78.46 KB, text/plain)
2013-09-21 08:53 EDT, orti1980
no flags Details

  None (edit)
Description orti1980 2013-09-21 08:46:18 EDT
Sep 21 13:17:39 localhost kernel: [    0.000000] Linux version 3.11.1-300.fc20.x86_64 (mockbuild@bkernel01.phx2.fedoraproject.org) (gcc version 4.8.1 20130814 (Red Hat 4.8.1-6) (GCC) ) #1 SMP Sat Sep 14 15:01:23 UTC 2013
Sep 21 13:17:39 localhost kernel: [    0.000000] Command line: BOOT_IMAGE=/vmlinuz-3.11.1-300.fc20.x86_64 root=UUID=53678734-37f6-46e0-b5d0-836e1cd8a720 ro rootflags=subvol=root rd.md=0 rd.lvm=0 rd.dm=0 vconsole.keymap=us rd.luks=0 vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=de_DE.UTF-8




Sep 21 14:14:22 localhost kernel: [ 3412.426463] ------------[ cut here ]------------
Sep 21 14:14:22 localhost kernel: [ 3412.426502] WARNING: CPU: 3 PID: 0 at net/ipv4/tcp_input.c:2711 tcp_fastretrans_alert+0xc38/0xcd0()
Sep 21 14:14:22 localhost kernel: [ 3412.426508] Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack bnep bluetooth rfkill ebtable_filter ebtables ip6table_filter ip6_tables snd_hda_codec_hdmi kvm_amd kvm crc32_pclmul crc32c_intel ghash_clmulni_intel mxm_wmi snd_hda_codec_realtek snd_hda_intel microcode snd_hda_codec serio_raw snd_hwdep snd_seq snd_seq_device fam15h_power k10temp edac_core edac_mce_amd snd_pcm tg3 ptp pps_core sp5100_tco i2c_piix4 snd_page_alloc snd_timer snd soundcore shpchp wmi acpi_cpufreq mperf nfsd auth_rpcgss nfs_acl lockd sunrpc btrfs libcrc32c xor zlib_deflate raid6_pq radeon i2c_algo_bit firewire_ohci drm_kms_helper firewire_core ttm crc_itu_t drm i2c_core
Sep 21 14:14:22 localhost kernel: [ 3412.426599] CPU: 3 PID: 0 Comm: swapper/3 Not tainted 3.11.1-300.fc20.x86_64 #1
Sep 21 14:14:22 localhost kernel: [ 3412.426605] Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./990FX Professional, BIOS P1.90 10/12/2012
Sep 21 14:14:22 localhost kernel: [ 3412.426610]  0000000000000009 ffff88023ecc3a00 ffffffff81643cbb 0000000000000000
Sep 21 14:14:22 localhost kernel: [ 3412.426619]  ffff88023ecc3a38 ffffffff810670dd ffff8801ca9c0000 0000000000004120
Sep 21 14:14:22 localhost kernel: [ 3412.426627]  0000000000000001 0000000000000006 0000000000000001 ffff88023ecc3a48
Sep 21 14:14:22 localhost kernel: [ 3412.426635] Call Trace:
Sep 21 14:14:22 localhost kernel: [ 3412.426639]  <IRQ>  [<ffffffff81643cbb>] dump_stack+0x45/0x56
Sep 21 14:14:22 localhost kernel: [ 3412.426655]  [<ffffffff810670dd>] warn_slowpath_common+0x7d/0xa0
Sep 21 14:14:22 localhost kernel: [ 3412.426663]  [<ffffffff810671ba>] warn_slowpath_null+0x1a/0x20
Sep 21 14:14:22 localhost kernel: [ 3412.426671]  [<ffffffff81596dc8>] tcp_fastretrans_alert+0xc38/0xcd0
Sep 21 14:14:22 localhost kernel: [ 3412.426679]  [<ffffffff81597992>] tcp_ack+0xa32/0x1000
Sep 21 14:14:22 localhost kernel: [ 3412.426687]  [<ffffffff8159841a>] tcp_rcv_established+0x17a/0x8a0
Sep 21 14:14:22 localhost kernel: [ 3412.426696]  [<ffffffff815a2275>] tcp_v4_do_rcv+0x1b5/0x470
Sep 21 14:14:22 localhost kernel: [ 3412.426704]  [<ffffffff815a4753>] tcp_v4_rcv+0x683/0x7d0
Sep 21 14:14:22 localhost kernel: [ 3412.426713]  [<ffffffff8157f4f0>] ? ip_rcv_finish+0x320/0x320
Sep 21 14:14:22 localhost kernel: [ 3412.426722]  [<ffffffff815766a4>] ? nf_hook_slow+0x74/0x130
Sep 21 14:14:22 localhost kernel: [ 3412.426729]  [<ffffffff8157f4f0>] ? ip_rcv_finish+0x320/0x320
Sep 21 14:14:22 localhost kernel: [ 3412.426737]  [<ffffffff8157f5c0>] ip_local_deliver_finish+0xd0/0x210
Sep 21 14:14:22 localhost kernel: [ 3412.426745]  [<ffffffff8157f898>] ip_local_deliver+0x48/0x80
Sep 21 14:14:22 localhost kernel: [ 3412.426753]  [<ffffffff8157f249>] ip_rcv_finish+0x79/0x320
Sep 21 14:14:22 localhost kernel: [ 3412.426760]  [<ffffffff8157fb04>] ip_rcv+0x234/0x380
Sep 21 14:14:22 localhost kernel: [ 3412.426769]  [<ffffffff81547d56>] __netif_receive_skb_core+0x646/0x820
Sep 21 14:14:22 localhost kernel: [ 3412.426777]  [<ffffffff81019900>] ? flush_ptrace_hw_breakpoint+0x30/0x60
Sep 21 14:14:22 localhost kernel: [ 3412.426785]  [<ffffffff81547f48>] __netif_receive_skb+0x18/0x60
Sep 21 14:14:22 localhost kernel: [ 3412.426793]  [<ffffffff81547fc3>] netif_receive_skb+0x33/0xb0
Sep 21 14:14:22 localhost kernel: [ 3412.426801]  [<ffffffff815489a0>] napi_gro_receive+0x80/0xb0
Sep 21 14:14:22 localhost kernel: [ 3412.426816]  [<ffffffffa03fc207>] tg3_poll_work+0xc57/0xf40 [tg3]
Sep 21 14:14:22 localhost kernel: [ 3412.426824]  [<ffffffff81547f48>] ? __netif_receive_skb+0x18/0x60
Sep 21 14:14:22 localhost kernel: [ 3412.426832]  [<ffffffff815454e1>] ? __napi_complete+0x21/0x30
Sep 21 14:14:22 localhost kernel: [ 3412.426845]  [<ffffffffa03fc52b>] tg3_poll_msix+0x3b/0x140 [tg3]
Sep 21 14:14:22 localhost kernel: [ 3412.426853]  [<ffffffff813dac61>] ? add_interrupt_randomness+0x41/0x190
Sep 21 14:14:22 localhost kernel: [ 3412.426862]  [<ffffffff81548339>] net_rx_action+0x149/0x240
Sep 21 14:14:22 localhost kernel: [ 3412.426871]  [<ffffffff8106c3a7>] __do_softirq+0xf7/0x240
Sep 21 14:14:22 localhost kernel: [ 3412.426879]  [<ffffffff8106c685>] irq_exit+0xb5/0xc0
Sep 21 14:14:22 localhost kernel: [ 3412.426887]  [<ffffffff81655016>] do_IRQ+0x56/0xc0
Sep 21 14:14:22 localhost kernel: [ 3412.426896]  [<ffffffff8164a9ad>] common_interrupt+0x6d/0x6d
Sep 21 14:14:22 localhost kernel: [ 3412.426900]  <EOI>  [<ffffffff814fcaaf>] ? cpuidle_enter_state+0x4f/0xc0
Sep 21 14:14:22 localhost kernel: [ 3412.426914]  [<ffffffff814fcbe9>] cpuidle_idle_call+0xc9/0x210
Sep 21 14:14:22 localhost kernel: [ 3412.426921]  [<ffffffff8101b5ee>] arch_cpu_idle+0xe/0x30
Sep 21 14:14:22 localhost kernel: [ 3412.426929]  [<ffffffff810b660e>] cpu_startup_entry+0xce/0x280
Sep 21 14:14:22 localhost kernel: [ 3412.426937]  [<ffffffff810beb0c>] ? clockevents_register_device+0xbc/0x120
Sep 21 14:14:22 localhost kernel: [ 3412.426946]  [<ffffffff8103ed07>] start_secondary+0x217/0x2c0
Sep 21 14:14:22 localhost kernel: [ 3412.426952] ---[ end trace 295a79f8e2bc82bc ]---
Comment 1 orti1980 2013-09-21 08:53:14 EDT
Created attachment 800928 [details]
dmesg.txt
Comment 2 Josh Boyer 2013-09-23 14:06:07 EDT

*** This bug has been marked as a duplicate of bug 989251 ***

Note You need to log in before you can comment on or make changes to this bug.